import { ref } from 'vue'
import { genFileId } from 'element-plus'
import type { UploadFile, UploadProps, UploadRawFile, UploadInstance } from 'element-plus'

const useUploadFile = () => {
  const upload = ref<UploadInstance>()
  const fileList = ref<UploadFile[]>([])

  const onExceed: UploadProps['onExceed'] = (fileList) => {
    upload.value?.clearFiles()
    const file = fileList[0] as UploadRawFile
    file.uid = genFileId()
    upload.value?.handleStart(file)
  }

  return {
    upload,
    fileList,
    onExceed,
  }
}

export default useUploadFile
